/** Fix sdpi-bug, where the range ticks are not displayed */
export default class RangeTicks {
    constructor() {
        this.enableTicks = false;
    }
    attachListeners(eventEmitter) {
        // initially create the --max/--step properties, so our css calculations work
        eventEmitter.on('create-range', (range) => {
            range.style.setProperty('--max', range.max);
            range.style.setProperty('--step', range.step);
            if (this.enableTicks) {
                console.log('foo');
                range.classList.add('with-ticks');
            }
        });
        eventEmitter.on('enable-ticks', () => (this.enableTicks = true));
    }
}
