import { ValueType } from "./ValueType";
import AbstractElement from './AbstractElement';
export default class Input extends AbstractElement {
    private placeholder;
    private input;
    /** Sets the placeholder that will be displayed in the field when its empty */
    setPlaceholder(placeholder: string): this;
    protected getElementsToAppend(): HTMLElement[];
    protected propagateValue(value: ValueType): void;
    private getInput;
    private onInput;
}
