import AbstractElement from "./AbstractElement";
import { ValueType } from "./ValueType";
export default class Range extends AbstractElement {
    private readonly min;
    private readonly max;
    private readonly step;
    private showLabels;
    private range;
    private readonly internalEventEmitter;
    constructor(min: number, max: number, step: number);
    /** Show labels displaying the min-max values in front and behind the slider */
    enableMinMaxLabels(): this;
    enableTicks(): this;
    protected getElementsToAppend(): HTMLElement[];
    protected propagateValue(value: ValueType): void;
    private getRange;
    private onInput;
}
